# Method: customers.userListQueries.list

- [HTTP request](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/list#body.request_body)
- [Response body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/list#body.response_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/list#body.ListUserListQueriesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/list#body.aspect)

Lists the user list queries owned by the specified customer.

### HTTP request

`GET https://adsdatahub.googleapis.com/v1/{parent=customers/*}/userListQueries`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Parent customer resource name, e.g. 'customers/123'. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of items to return. If 0, The server will determine the number of queries to return. |
| `pageToken` | `string` Page token, returned by a previous call, used to request the next page of results. |
| `filter` | `string` Filters your response. Works using the following fields / formatting: name="customers/271828/userListQueries/pi314159265359" title="up_and_right" queryText="SELECT LN(2.7182818284);" queryState="RUNNABLE" updateTime\>unix_seconds updateEmail="abc@gmail.com" createTime\>unix_seconds createEmail="abc@gmail.com" |

### Request body

The request body must be empty.

### Response body

Response to a ListDataQueries request. Contains the queries owned by the specified customer, sorted by title.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "queries": [ { object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries#UserListQuery`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `queries[]` | ``object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries#UserListQuery`)`` A list of queries. |
| `nextPageToken` | `string` A token that can be used to request the next results page. This field is empty if there are no additional results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`